UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

cancel
Showing results for 
Search instead for 
Did you mean: 
Visitor m.schappeit
Visitor
713 Views
Registered: ‎08-08-2018

Petalinux 2018.3 missing libgcc_s.so.1 while using pthread

Hello!

I'm using Petalinux 2018.3 and pthreads in my linux app.

Until 2017.? it was possible to enable libgcc with

petalinux-config -c rootfs

or by editing rootfs_config manually:

 

#
# libgcc-xilinx 
#
# CONFIG_libgcc-dev is not set
CONFIG_libgcc=y
# CONFIG_libgcc-dbg is not set
# CONFIG_libgcov-dev is not set


I can't find any way to enable libgcc in 2018.3. Why is libgcc-xilinx missing?

When I close a pthread in my linux app this error msg is printed:

 

libgcc_s.so.1 must be installed for pthread_cancel to work

There must be a way to use pthreads in petalinux 2018.3.

Any suggestions?

Thanks in advance, bye, Marc.

Tags (3)
0 Kudos
3 Replies
Visitor m.schappeit
Visitor
676 Views
Registered: ‎08-08-2018

Re: Petalinux 2018.3 missing libgcc_s.so.1 while using pthread

I think libgcc was removed with this commit

https://github.com/Xilinx/meta-petalinux/commit/2f13cdc96a1d7e6ae6e9e3edc52f470123d806c8

But why without replecement?

0 Kudos
Observer russellsnow
Observer
615 Views
Registered: ‎09-17-2018

Re: Petalinux 2018.3 missing libgcc_s.so.1 while using pthread

Did you ever figure out how to get rid of the error?

0 Kudos
Observer russellsnow
Observer
612 Views
Registered: ‎09-17-2018

Re: Petalinux 2018.3 missing libgcc_s.so.1 while using pthread

I fixed it by adding

 IMAGE_INSTALL_append = " gcc"

to project-spec/meta-user/recipes-core/images/petalinux-image.bbappend

and enabling in petalinux-config -c rootfs

0 Kudos